Loading...
Searching...
No Matches
AVHWFramesConstraints Struct Reference

This struct describes the constraints on hardware frames attached to a given device with a hardware-specific configuration. More...

`#include <libavutil/hwcontext.h>`

## Data Fields

enum AVPixelFormat * | valid_hw_formats
| A list of possible values for format in the hw_frames_ctx, terminated by AV_PIX_FMT_NONE.
enum AVPixelFormat * | valid_sw_formats
| A list of possible values for sw_format in the hw_frames_ctx, terminated by AV_PIX_FMT_NONE.
int | min_width
| The minimum size of frames in this hw_frames_ctx.
int | min_height
int | max_width
| The maximum size of frames in this hw_frames_ctx.
int | max_height

## Detailed Description

This struct describes the constraints on hardware frames attached to a given device with a hardware-specific configuration.

This is returned by av_hwdevice_get_hwframe_constraints() and must be freed by av_hwframe_constraints_free() after use.

Definition at line 444 of file hwcontext.h.

## Field Documentation

## valid_hw_formats

enum AVPixelFormat* AVHWFramesConstraints::valid_hw_formats

A list of possible values for format in the hw_frames_ctx, terminated by AV_PIX_FMT_NONE.

This member will always be filled.

Definition at line 449 of file hwcontext.h.

## valid_sw_formats

enum AVPixelFormat* AVHWFramesConstraints::valid_sw_formats

A list of possible values for sw_format in the hw_frames_ctx, terminated by AV_PIX_FMT_NONE.

Can be NULL if this information is not known.

Definition at line 456 of file hwcontext.h.

## min_width

int AVHWFramesConstraints::min_width

The minimum size of frames in this hw_frames_ctx.

(Zero if not known.)

Definition at line 462 of file hwcontext.h.

## min_height

int AVHWFramesConstraints::min_height

Definition at line 463 of file hwcontext.h.

## max_width

int AVHWFramesConstraints::max_width

The maximum size of frames in this hw_frames_ctx.

(INT_MAX if not known / no limit.)

Definition at line 469 of file hwcontext.h.

## max_height

int AVHWFramesConstraints::max_height

Definition at line 470 of file hwcontext.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext.h